For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all charge codes
        • GETGet a charge code by ID
        • GETGet all financial accounts
        • GETGet a financial account by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all recurring resident charges
        • GETGet recurring resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
MRIBilling and Payments

Get recurring resident charge by ID

GET
/v1/recurring-resident-charges/:recurring_resident_charge_id
GET
/v1/recurring-resident-charges/:recurring_resident_charge_id
$curl https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "asf32uhfs73243hfh2s771hgf",
17 "x_property_id": "100",
18 "x_location_id": null,
19 "x_charge_code_id": "BRK",
20 "x_financial_account_id": null,
21 "x_lease_id": "0000000022",
22 "amount_in_cents": 1000,
23 "amount_raw": "1000.00",
24 "is_active": true,
25 "description": "Parking",
26 "reference_number": null,
27 "start_date": "2021-01-01",
28 "end_date": "2021-01-01",
29 "frequency_raw": "M",
30 "frequency_normalized": "MONTHLY",
31 "charge_due_day": null,
32 "custom_data": {},
33 "financial_account_id": null,
34 "lease_id": "cmd67vzlg000207l4hkdedl84:100:0000000022",
35 "charge_code_id": "cmd67vzlg000207l4hkdedl84:na:BRK",
36 "integration_id": "clwh5u07w000508me66sfh3um",
37 "integration_vendor": "MRI",
38 "property_id": "clwi5xiix000008l6ctdgafyh"
39 }
40}
Get recurring resident charge by ID
Was this page helpful?
Previous

Get all resident payments

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

recurring_resident_charge_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error